package com.sc.member.service.impl;

import com.sc.api.entity.UserEntity;
import com.sc.api.service.IMemberService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Api("会员服务接口")
public class MemberServiceImpl  implements IMemberService {

    @ApiOperation("获取会员相关信息")
    @ApiImplicitParam(name="name",value = "用户信息参数",required = true, dataType = "String")
    @RequestMapping("/getMember")
    public UserEntity getMember(@RequestParam("name") String name) {
        UserEntity userEntity=new UserEntity();
        userEntity.setName(name);
        userEntity.setAge("12");
        return userEntity;
    }
}
