package com.sc.api.feign;

import com.sc.api.fallBack.MemberServiceFallback;
import com.sc.api.service.IMemberService;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;

@FeignClient(value = "member",fallback = MemberServiceFallback.class)
public interface MemberServiceFeign extends IMemberService {
    /*@RequestMapping("/getMember")
    public UserEntity getMember(String name);*/

    //实体类与定义接口放在接口项目中
    //代码实现类还是放在实现类项目中
    //
}
